$(document).ready(function() {
    $('.remote-button').on('click', function(){
        $(this).prop('disabled', true);
        if($(this).attr('data-confirm'))
        {
            if(!confirm($(this).attr('data-confirm')))
            {
                $(this).prop('disabled', false);
                return false;
            }
        }
        $.ajax({
            url: $(this).attr('data-remote-url'),
            type: $(this).attr('data-method')
        }).always(function(){
            $(this).prop('disabled', false);
        });
        return true;
    });

});